LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Data Fields
lives_rfx_t Struct Reference

`#include <plugins.h>`

## Data Fields
char * | name
| the name of the executable (so we can run it !) More...
char * | menu_text
| for Weed, this is the filter_class "name" More...
char * | action_desc
| for Weed "Applying $s" More...
int | min_frames
| for Weed, 1 More...
int | num_in_channels
lives_rfx_status_t | status
uint32_t | props
LiVESWidget * | menuitem
| the menu item which activates this effect More...
int | num_params
lives_param_t * | params
lives_rfx_source_t | source_type
void * | source
| points to the source (e.g. a weed_plant_t) More...
void * | extra
| for future use More...
char | delim [2]
boolean | is_template

## Field Documentation

char* lives_rfx_t::action_desc

for Weed "Applying $s"

char lives_rfx_t::delim[2]

void* lives_rfx_t::extra

for future use

boolean lives_rfx_t::is_template

char* lives_rfx_t::menu_text

for Weed, this is the filter_class "name"

LiVESWidget* lives_rfx_t::menuitem

the menu item which activates this effect

int lives_rfx_t::min_frames

for Weed, 1

char* lives_rfx_t::name

the name of the executable (so we can run it !)

int lives_rfx_t::num_in_channels

int lives_rfx_t::num_params

lives_param_t* lives_rfx_t::params

uint32_t lives_rfx_t::props

void* lives_rfx_t::source

points to the source (e.g. a weed_plant_t)

lives_rfx_source_t lives_rfx_t::source_type

lives_rfx_status_t lives_rfx_t::status

The documentation for this struct was generated from the following file:

- src/plugins.h